Description: Bonjour,

J'ai des erreurs lors de la phase de mise a jour de documents avec un fichier source pour lequel je n'avais
pas de probleme précédemment.

Mais j'ai du mal a déterminer la source réelle des erreurs car mon installation a beaucoup changé depuis la
derniére utilisation d'AMC au mois de juin. A ce moment I3, tout marchait et mon installation était : OS X
10.8.3, Xcode 4.6.2, MacPorts 2.1.3, AMC SVN 1377.

Ma configuration actuelle est : OS X 10.8.5, Xcode 5, MacPorts 2.2.0, AMC SVN 1447. Je suppose aussi que
les paquets TeX ont aussi évolué car pour l'installation d'AMC, j'ai été obligé d'ajouter une dépendance au
paquet "texlive-lang-french" pour que la documentation puisse étre générée.

Procédure

- Lancer AMC.

- Créer un nouveau projet (sans fichier).

- Modifier le type de fichier source : AMC-TXT.

- Mettre 10 dans le nombre de copies.

- Cliquer le bouton "Editer le fichier source".

- Coller le texte du QCM.

- Enregistrer le source.

- Cliquer le bouton "Mettre a jour les documents”.

Normalement tout devrait bien se passer et on devrait pourvoir afficher les sujets.

La, un message apparait =

« La compilation de votre fichier source a occasionné des erreurs. Vous devez corriger votre fichier source
pour obtenir une mise a jour des documents. Regardez la sortie dans 'Détail de la sortie des commandes'
ci-dessous.

AMC-TXT(Ligne 38) Option inconnue : Group
AMC-TXT(Ligne 91) Option inconnue : Group

60 erreurs lors de la compilation LaTeX (sujet)
Paragraph ended before \multicols was complete.

Extra }, or forgotten \endgroup.

LaTeX Error: \begin{document} ended by \end{multicols}.
Missing } inserted.

Extra \endgroup.

Too many }'s.

Paragraph ended before \multicols was complete.

(Seules les dix premiéres erreurs ont été retranscrites)»
En piéces jointe, le journal debug, le fichier "détail de la sortie des commandes" et le dossier du projet.

Pourriez vous m'indiquer quels points je devrais regarder pour modifier mon installation ?
Cordialement,

Joél Brogniart

History

09/19/2013 12:47 pm - Joél Brogniart
- File source.txt added

Pfff, aprés avoir lu correctement le message d'erreur, j'ai supprimé les zones de groupe qui fonctionnaient dans la version précédente. Avec le sujet

joint, la mise a jour des documents. Je vais maintenant regarde dans la documentation pour voir pourquoi "Group:" ne fonctionne plus.

Cordialement,

Joél

09/19/2013 02:40 pm - Joél Brogniart

Bon, la derniére version ou Group: dans le format AMC-TXT fonctionnait chez moi est la version svn 1374. Cette fonctionnalité a été supprimée depuis
?

09/19/2013 03:50 pm - Alexis Bienveniie

Oui, désolé. Les groupes utilisent maintenant une autre syntaxe. Comme je n'avais pas documenté @Group:@, j'espérais que ¢a ne génerait
personne, mais je vous ai oublié malheureusement. Grosso modo, il faut utiliser la forme suivante :

<pre>

*( Texte introductif du groupe

[... questions ...]

*) Texte de cloture du groupe

</pre>

09/20/2013 12:00 pm - Joél Brogniart
Ce n'est pas grave, je ne mets a jour qu'apres avoir terminé les dossiers en cours (et quand j'arrive a dégager un peu de temps). La c'est juste que
pour tester la derniére version, je comptais utiliser I'exemple que j'ai utilisé pour

[[bttp://perso.univ-lyon2.fr/~brogniar/notes/amc-gestion-questionnaire/]]. Il va falloir que je mette a jour mon exemple apres les tests.

Par contre, au niveau syntaxe, l'utilisation de @*(@ ¢a perturbe un peu par rapport au format @identifiant:@ pour les propriétés et I'utilisation des

astérisque pour les questions. Est-ce que c'est pour avoir la possibilité d'avoir des groupes et des sous groupes ?

10/31/2014 07:13 pm - Alexis Bienvenlie
- % Done changed from 0 to 100

- Status changed from New to Closed

Files

AMC-DEBUG-Ey0QYb7W.log.zip 3 kB 09/19/2013 Joél Brogniart
bizzaritude-1970-07-1447.zip 288.1 kB 09/19/2013 Joél Brogniart
detail_de_la_sortie_des_commandes.txt.zip 2.4 kB 09/19/2013 Joél Brogniart
source.txt 6.5 kB 09/19/2013 Joél Brogniart
